<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="27609f542a407cfc" weblate-flags="read-only, safe-html, strict-same">
        <source>= `object` A &lt;&lt;ref_value&gt;&gt; stores an instance of &lt;&lt;ref_object&gt;&gt; as the underlying representation for a JSON object. Instances of the &lt;&lt;ref_object&gt;&gt; type are associative containers holding key and value pairs, where the key is a &lt;&lt;ref_string_view&gt;&gt; and the mapped type is a &lt;&lt;ref_value&gt;&gt;. These containers are modelled after standard maps with these properties:</source>
        <target state="translated">= `object` A &lt;&lt;ref_value&gt;&gt; stores an instance of &lt;&lt;ref_object&gt;&gt; as the underlying representation for a JSON object. Instances of the &lt;&lt;ref_object&gt;&gt; type are associative containers holding key and value pairs, where the key is a &lt;&lt;ref_string_view&gt;&gt; and the mapped type is a &lt;&lt;ref_value&gt;&gt;. These containers are modelled after standard maps with these properties:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">12</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="e8ae828ca8417c6b" weblate-flags="read-only, safe-html, strict-same">
        <source>The elements are stored contiguously as instances of &lt;&lt;ref_key_value_pair&gt;&gt;.</source>
        <target state="translated">The elements are stored contiguously as instances of &lt;&lt;ref_key_value_pair&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">19</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="31c5f22a638fbb1e" weblate-flags="read-only, safe-html, strict-same">
        <source>Iterators are ordinary pointers, and may become invalidated on insertions</source>
        <target state="translated">Iterators are ordinary pointers, and may become invalidated on insertions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">21</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="41550d96b6f03672" weblate-flags="read-only, safe-html, strict-same">
        <source>and removals.</source>
        <target state="translated">and removals.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">22</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="398f1263fc563cf1" weblate-flags="read-only, safe-html, strict-same">
        <source>The order of insertions is preserved, as long as there are no removals.</source>
        <target state="translated">The order of insertions is preserved, as long as there are no removals.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">24</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="ff8258a147c4a091" weblate-flags="read-only, safe-html, strict-same">
        <source>All inserted values will use the same {ref_memory_resource} as the container</source>
        <target state="translated">All inserted values will use the same {ref_memory_resource} as the container</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">26</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="8dcdd84b3cc4b49d" weblate-flags="read-only, safe-html, strict-same">
        <source>itself.</source>
        <target state="translated">itself.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">27</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="a84510e71255fde6" weblate-flags="read-only, safe-html, strict-same">
        <source>An empty object may be constructed without incurring any memory allocations using the &lt;&lt;default_memory_resource,default memory resource&gt;&gt;. A &lt;&lt;ref_storage_ptr&gt;&gt; can also be explicitly specified:</source>
        <target state="translated">An empty object may be constructed without incurring any memory allocations using the &lt;&lt;default_memory_resource,default memory resource&gt;&gt;. A &lt;&lt;ref_storage_ptr&gt;&gt; can also be explicitly specified:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">29</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2f28072c61127534" weblate-flags="read-only, safe-html, strict-same">
        <source>Initializer lists consisting of two-element key value pairs can be used to construct objects with initial contents. These constructors may allocate memory and throw:</source>
        <target state="translated">Initializer lists consisting of two-element key value pairs can be used to construct objects with initial contents. These constructors may allocate memory and throw:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">38</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="0f4e6cab57f4cbd6" weblate-flags="read-only, safe-html, strict-same">
        <source>Alternatively, elements may be inserted after construction:</source>
        <target state="translated">Alternatively, elements may be inserted after construction:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">47</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="769451f00dc2d3f0" weblate-flags="read-only, safe-html, strict-same">
        <source>Similar to the `std` counterpart, elements may be accessed directly by their key with bounds checking using &lt;&lt;ref_object_at&gt;&gt;, or without bounds checking using &lt;&lt;ref_object_operator_lb_rb&gt;&gt; which creates a null element if the key does not already exist:</source>
        <target state="translated">Similar to the `std` counterpart, elements may be accessed directly by their key with bounds checking using &lt;&lt;ref_object_at&gt;&gt;, or without bounds checking using &lt;&lt;ref_object_operator_lb_rb&gt;&gt; which creates a null element if the key does not already exist:</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">54</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="549821138e9d3f86" weblate-flags="read-only, safe-html, strict-same">
        <source>Internally, the container computes a hash table over the keys so that the complexity of lookups is in constant time, on average.</source>
        <target state="translated">Internally, the container computes a hash table over the keys so that the complexity of lookups is in constant time, on average.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">64</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="d5e6812c3fc75bd6" weblate-flags="read-only, safe-html, strict-same">
        <source>For the complete listing of all available member functions and nested types, see the reference page for &lt;&lt;ref_object&gt;&gt;.</source>
        <target state="translated">For the complete listing of all available member functions and nested types, see the reference page for &lt;&lt;ref_object&gt;&gt;.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">83</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="16d4bfa3fa03aa70" weblate-flags="read-only, safe-html, strict-same">
        <source>As with `std::pair`, the &lt;&lt;ref_key_value_pair&gt;&gt; type can be used with structured bindings in {cpp}17. Specializations of `std::tuple_size`, `std::tuple_element`, and overloads of &lt;&lt;ref_get&gt;&gt; are all provided for this purpose.</source>
        <target state="translated">As with `std::pair`, the &lt;&lt;ref_key_value_pair&gt;&gt; type can be used with structured bindings in {cpp}17. Specializations of `std::tuple_size`, `std::tuple_element`, and overloads of &lt;&lt;ref_get&gt;&gt; are all provided for this purpose.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">86</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="059c92545c3dacd3" weblate-flags="read-only, safe-html, strict-same">
        <source>Formatted Output</source>
        <target state="translated">Formatted Output</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">91</context>
        </context-group>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="408b82f8f6c19f17" weblate-flags="read-only, safe-html, strict-same">
        <source>When an &lt;&lt;ref_object&gt;&gt; is formatted to a {std_ostream}, the result is a valid JSON. That is, the object will be output with curly braces and a comma separated list of key/value pairs, as per the JSON specification.</source>
        <target state="translated">When an &lt;&lt;ref_object&gt;&gt; is formatted to a {std_ostream}, the result is a valid JSON. That is, the object will be output with curly braces and a comma separated list of key/value pairs, as per the JSON specification.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile"></context>
          <context context-type="linenumber">93</context>
        </context-group>
      </trans-unit>
    </body>
  </file>
</xliff>
